LINUX.ORG.RU

Помогите скомпилить awesome


0

0

Система Ubuntu 8.04, компилю awesome 3.2, застрял на этом:

/awesome-3.2$ make
Running cmake…
-- The C compiler identification is GNU
-- The CXX compiler identification is GNU
-- Check for working C compiler: /usr/bin/gcc
-- Check for working C compiler: /usr/bin/gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- cat -> /bin/cat
-- ln -> /bin/ln
-- grep -> /bin/grep
-- git -> /usr/bin/git
-- hostname -> /bin/hostname
-- gperf -> /usr/bin/gperf
-- asciidoc -> /usr/bin/asciidoc
-- xmlto -> /usr/bin/xmlto
-- gzip -> /bin/gzip
-- lua -> /usr/bin/lua
-- luadoc -> /usr/bin/luadoc
-- Looking for doxygen...
-- Looking for doxygen... - found /usr/bin/doxygen
-- Looking for dot tool...
-- Looking for dot tool... - found /usr/bin/dot
-- Looking for wsyncup in /usr/lib/libcurses.so
-- Looking for wsyncup in /usr/lib/libcurses.so - found
-- Found Curses: /usr/lib/libcurses.so
-- Found Lua51: /usr/lib/liblua5.1.so;/usr/lib/libm.so
-- checking for module 'xcb>=1.1'
--   found xcb, version 1.1
-- checking for modules 'glib-2.0;cairo;pango>=1.19.3;pangocairo>=1.19.3;xcb-randr;xcb-xtest;xcb-xinerama;xcb-event>=0.3.0;xcb-aux>=0.3.0;xcb-atom>=0.3.0;xcb-keysyms>=0.3.0;xcb-icccm>=0.3.3;xcb-image>=0.3.0;xcb-property>=0.3.0;cairo-xcb;xproto>=7.0.11;imlib2'
--   found glib-2.0, version 2.16.6
--   found cairo, version 1.6.4
--   found pango, version 1.20.5
--   found pangocairo, version 1.20.5
--   found xcb-randr, version 1.1
--   found xcb-xtest, version 1.1
--   found xcb-xinerama, version 1.1
--   found xcb-event, version 0.3.3
--   found xcb-aux, version 0.3.3
--   found xcb-atom, version 0.3.3
--   found xcb-keysyms, version 0.3.3
--   found xcb-icccm, version 0.3.3
--   found xcb-image, version 0.3.3
--   found xcb-property, version 0.3.3
--   found cairo-xcb, version 1.6.4
--   found xproto, version 7.0.11
--   found imlib2, version 1.4.0
CMake Error at awesomeConfig.cmake:158 (message):
  ev library not found.
Call Stack (most recent call first):
  awesomeConfig.cmake:164 (a_find_library)
  CMakeLists.txt:15 (include)


-- Configuring incomplete, errors occurred!
make: *** [cmake] Ошибка 1

В чем может быть проблема?

Re: Помогите скомпилить awesome

Для начала вот "ev library not found."Доставьте,что требуется.

А компилить его незачем,ибо есть в репах.

nitz ★★ ()
Ответ на: Re: Помогите скомпилить awesome от nitz

Re: Помогите скомпилить awesome

>Для начала вот "ev library not found."Доставьте,что требуется.

>А компилить его незачем,ибо есть в репах.

про ev library not found я понимаю что надо что-то поставить наверно, только вот что? вобще мне кажется это обрубок от dev library not found

а компилю я версию 3.02, которой нету в репах ubuntu 8.04, а есть только какая-то 2.... обновлять ради этого дистр не хочеться

bezgubov ()

Re: Помогите скомпилить awesome

Зачем обновлять дистрибутив?Скачайте пакет для Джаунти.Каких-то особых зависемостей у него не видать вроде.Если очень хочется собрать самому-смотрите в исходниках его требования.

nitz ★★ ()

Re: Помогите скомпилить awesome

Дык, это:

http://www.google.com/search?q="ev+library+not+found"
http://forum.ubuntuusers.de/topic/8.04-awesome-3.1.1-probleme-beim-kompilieren/#post-1793830

Gular ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.